Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.filespace
Class PkgTree_MatchesExtension

    java.lang.Object
      javafe.filespace.PkgTree_MatchesExtension

All Implemented Interfaces:
  Filter

class PkgTree_MatchesExtension
extends java.lang.Object
implements Filter

A filter for accepting only node's with a particular extension: This filter is for the use of the PkgTree class only; if inner classes were available, it would be expressed as an anonymous class.

Field Summary
`(package private) java.lang.String` | `targetExtension`

Constructor Summary
`(package private)` | `PkgTree_MatchesExtension(java.lang.String targetExtension)`

Method Summary
`boolean` | `accept(java.lang.Object node)` Should our client accept a given value?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetExtension

    java.lang.String targetExtension

Constructor Detail

### PkgTree_MatchesExtension

    PkgTree_MatchesExtension(java.lang.String targetExtension)

Method Detail

### accept

    public boolean accept(java.lang.Object node)

  Description copied from interface: `Filter`
  Should our client accept a given value?

  Specified by:
    `accept` in interface `Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage